DWARF_GET_FDE_N(3)

NAME
dwarf_get_fde_n - retrieve FDE descriptor

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_get_fde_n(Dwarf_Fde *fdelist, Dwarf_Unsigned fde_index, Dwarf_Fde *ret_fde, Dwarf_Error *err);

DESCRIPTION
Function dwarf_get_fde_n() retrieves an FDE descriptor from an array of FDE descriptors.

Argument fdelist should point to an array of FDE descriptors, as returned by the functions dwarf_get_fde_list(3) or dwarf_get_fde_list_eh(3).

Argument fde_index specifies the 0-based index of the desired FDE descriptor.

Argument ret_fde should point to a location that will hold the returned FDE descriptor.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
Function dwarf_get_fde_n() returns DW_DLV_OK when it succeeds. It returns DW_DLV_NO_ENTRY if the FDE descriptor index specified by argument fde_index is out of range. In case of an error, it returns DW_DLV_ERROR and sets the argument err.

ERRORS
Function dwarf_get_fde_n() can fail with:

[DW_DLE_ARGUMENT]
    Either of the arguments fdelist or ret_fde was NULL.

[DW_DLE_NO_ENTRY]
    The FDE descriptor index specified by argument fde_index was out of range.

SEE ALSO
dwarf(3), dwarf_get_cie_of_fde(3), dwarf_get_fde_at_pc(3), dwarf_get_fde_info_for_all_regs(3), dwarf_get_fde_info_for_all_regs3(3), dwarf_get_fde_info_for_cfa_reg3(3), dwarf_get_fde_info_for_reg(3), dwarf_get_fde_info_for_reg3(3), dwarf_get_fde_instr_bytes(3), dwarf_get_fde_list(3), dwarf_get_fde_list_eh(3), dwarf_get_fde_range(3)